Package org.drinkless.tdlib

# Class TdApi.PushMessageContentUpgradedGift

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.PushMessageContent
org.drinkless.tdlib.TdApi.PushMessageContentUpgradedGift

Enclosing class:
  `TdApi`

public static class TdApi.PushMessageContentUpgradedGift extends TdApi.PushMessageContent
A message with an upgraded gift.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.PushMessageContent

  `TdApi.PushMessageContent.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `isPrepaidUpgrade`
  True, if the message is about completion of prepaid upgrade of the gift instead of actual receiving of a new gift.
  `boolean`
  `isUpgrade`
  True, if the gift was obtained by upgrading of a previously received gift; otherwise, if isPrepaidUpgrade == false, then this is a transferred or resold gift.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PushMessageContentUpgradedGift()`
  A message with an upgraded gift.
  `PushMessageContentUpgradedGift(boolean isUpgrade, boolean isPrepaidUpgrade)`
  A message with an upgraded gift.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### isUpgrade

    public boolean isUpgrade
    True, if the gift was obtained by upgrading of a previously received gift; otherwise, if isPrepaidUpgrade == false, then this is a transferred or resold gift.

  - ### isPrepaidUpgrade

    public boolean isPrepaidUpgrade
    True, if the message is about completion of prepaid upgrade of the gift instead of actual receiving of a new gift.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PushMessageContentUpgradedGift

    public PushMessageContentUpgradedGift()
    A message with an upgraded gift.

  - ### PushMessageContentUpgradedGift

    public PushMessageContentUpgradedGift(boolean isUpgrade, boolean isPrepaidUpgrade)
    A message with an upgraded gift.
    Parameters:
      `isUpgrade` - True, if the gift was obtained by upgrading of a previously received gift; otherwise, if isPrepaidUpgrade == false, then this is a transferred or resold gift.
      `isPrepaidUpgrade` - True, if the message is about completion of prepaid upgrade of the gift instead of actual receiving of a new gift.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.PushMessageContent`
    Returns:
      this.CONSTRUCTOR